hscolour-1.23: Colourise Haskell code.

Safe Haskell | None
Language | Haskell98

Language.Haskell.HsColour.ACSS

Description

Formats Haskell source code as HTML with CSS and Mouseover Type Annotations

Synopsis

- hscolour :: Bool -> Int -> String -> String
- hsannot :: Bool -> Int -> (String, AnnMap) -> String
- newtype AnnMap = Ann (Map Loc (String, String))
- newtype Loc = L (Int, Int)
- breakS :: [Char]
- srcModuleName :: String -> String

# Documentation

hscolour

Arguments

:: Bool | Whether to include anchors.
-> Int | Starting line number (for line anchors).
-> String | Haskell source code, Annotations as comments at end
-> String | Coloured Haskell source code.

Formats Haskell source code using HTML and mouse-over annotations

hsannot

Arguments

:: Bool | Whether to include anchors.
-> Int | Starting line number (for line anchors).
-> (String, AnnMap) | Haskell Source, Annotations
-> String | Coloured Haskell source code.

Formats Haskell source code using HTML and mouse-over annotations

newtype AnnMap

Constructors

Ann (Map Loc (String, String)) |

Instances

Show AnnMap |

newtype Loc

Constructors

L (Int, Int) |

Instances

Eq Loc |
Ord Loc |
Show Loc |

breakS :: [Char]

srcModuleName :: String -> String